Zum Inhalt springen

Atualiza profiles

PUT/api/profiles/{id}

Auth
Token erforderlich
Wer darf:
owner
SuperAdmin
X-CommunityId
X-CommunityId Sende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.

Proteção do owner: só outro owner ou um SuperAdmin edita o perfil de um owner. Admin recebe 403 `profile.ownerProtected`.

Parameter

NameOrtTypBeschreibung
idPflichtpathstring (uuid)

Header

NameTypBeschreibung
X-CommunityIdoptionalstring (uuid)ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade.

Request-Body application/json

NameTypBeschreibung
displayNameoptionalstringDisplay name must be between 1 and 100 characters · min 1, max 100
taglineoptionalstringTagline must be less than 200 characters · max 200
profileTypeoptionaluser | companyValid profile type is required

Antworten

StatusBeschreibung
200Operação realizada com sucesso.
400Requisição inválida — falha de validação.
401Token ausente, inválido ou expirado.
404Recurso não encontrado.
500Erro interno do servidor.

curl-Beispiel

curl -X PUT "https://api.memberfy.net/api/profiles/<id>" \
  -H "Authorization: Bearer $TOKEN" \
  -H "X-CommunityId: $COMMUNITY_ID" \
  -H "Content-Type: application/json" \
  -d '{}'